Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Official thread: "zen-sources" - Part V
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 7, 8, 9 ... 21, 22, 23  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Mon Sep 15, 2008 7:50 pm    Post subject: Reply with quote

Quote:
You could have changed the git urls in .git/config and avoided a re-clone.


so there it is - hidden ;)

thanks cheater :idea:
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
gforum
Tux's lil' helper
Tux's lil' helper


Joined: 31 Mar 2008
Posts: 140

PostPosted: Mon Sep 15, 2008 9:26 pm    Post subject: Reply with quote

has anyone here had problems emerging nvidia-drivers or is it just me?
i got a 8600m GT btw, -not legacy stuff :P .

it keeps crashing on me:
https://forums.gentoo.org/viewtopic-t-707800-highlight-.html

thanks in advance.
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Wed Sep 17, 2008 3:23 am    Post subject: Reply with quote

gforum wrote:
has anyone here had problems emerging nvidia-drivers or is it just me?
i got a 8600m GT btw, -not legacy stuff :P .

it keeps crashing on me:
https://forums.gentoo.org/viewtopic-t-707800-highlight-.html

thanks in advance.


There's not really any reason not to use 177 nvidia drivers really, but if you are going for the 173xxx drivers, i would use 173.14.12 in the zen-overlay.
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
termite
Guru
Guru


Joined: 06 May 2007
Posts: 466

PostPosted: Wed Sep 17, 2008 1:36 pm    Post subject: Reply with quote

Guys, I added the zen-overlay because I wanted zen-sources. Now that you lot have been adding piles and piles of unrelated packages, this overlay has become cluttered and far less usable. Today, I updated the overlay and portage wants to switch my qt-3.3.8b from the portage tree to zen. I do not want such behavior. There is currently no way to get portage to stick to the non-overlay version without removing the overlay.

Zen was meant to be a repository for the latest and greatest kernel patches, not the random patches that its maintainers decided to throw in for half the tree. Please remove the qt ebuilds. Those people who want qt-copy and the like can either make their own local overlay or use one of the other overlays that provide such builds. Please keep zen for kernel-related stuff.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Wed Sep 17, 2008 2:05 pm    Post subject: Reply with quote

termite wrote:
Zen was meant to be a repository for the latest and greatest kernel patches, not the random patches that its maintainers decided to throw in for half the tree. Please remove the qt ebuilds. Those people who want qt-copy and the like can either make their own local overlay or use one of the other overlays that provide such builds. Please keep zen for kernel-related stuff.

ACK.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
rmh3093
Advocate
Advocate


Joined: 06 Aug 2003
Posts: 2138
Location: Albany, NY

PostPosted: Wed Sep 17, 2008 2:12 pm    Post subject: Reply with quote

termite wrote:
Guys, I added the zen-overlay because I wanted zen-sources. Now that you lot have been adding piles and piles of unrelated packages, this overlay has become cluttered and far less usable. Today, I updated the overlay and portage wants to switch my qt-3.3.8b from the portage tree to zen. I do not want such behavior. There is currently no way to get portage to stick to the non-overlay version without removing the overlay.

Zen was meant to be a repository for the latest and greatest kernel patches, not the random patches that its maintainers decided to throw in for half the tree. Please remove the qt ebuilds. Those people who want qt-copy and the like can either make their own local overlay or use one of the other overlays that provide such builds. Please keep zen for kernel-related stuff.


you are half right, the zen-overlay was supposed to be for the kernel ebuilds and other kernel related ebuilds like e2fsprogs and video drivers that break cause of zen-sources
_________________
Do not meddle in the affairs of wizards, for they are subtle and quick to anger.
Back to top
View user's profile Send private message
termite
Guru
Guru


Joined: 06 May 2007
Posts: 466

PostPosted: Wed Sep 17, 2008 3:16 pm    Post subject: Reply with quote

Right. And qt has nothing to do with either, as far as I can tell....

Can zen please be trimmed down or maybe split into two? For now, please just remove the stuff that has nothing whatsoever to do with the kernel!
Back to top
View user's profile Send private message
Dante Murdock
n00b
n00b


Joined: 17 Sep 2008
Posts: 1

PostPosted: Wed Sep 17, 2008 4:23 pm    Post subject: Reply with quote

I have a problem with kernel 2.6.26-zenrt3.

Code:
CHK     include/linux/version.h
  UPD     include/linux/version.h
  CHK     include/linux/utsrelease.h
  UPD     include/linux/utsrelease.h
  SYMLINK include/asm -> include/asm-x86
  CC      kernel/bounds.s
  GEN     include/linux/bounds.h
  CC      arch/x86/kernel/asm-offsets.s
In file included from include/linux/notifier.h:14,
                 from include/linux/memory_hotplug.h:6,
                 from include/linux/mmzone.h:560,
                 from include/linux/gfp.h:4,
                 from include/linux/slab.h:12,
                 from include/linux/percpu.h:5,
                 from include/linux/rcupdate.h:39,
                 from include/linux/tracepoint.h:18,
                 from include/linux/module.h:19,
                 from include/linux/crypto.h:21,
                 from arch/x86/kernel/asm-offsets_32.c:7,
                 from arch/x86/kernel/asm-offsets.c:2:
include/linux/rwsem.h:150: erro: redefinition of ‘rwsem_is_locked’
include/asm/rwsem.h:261: erro: previous definition of ‘rwsem_is_locked’ was here
include/linux/rwsem.h: Na função ‘rwsem_is_locked’:
include/linux/rwsem.h:151: erro: implicit declaration of function ‘compat_rwsem_is_locked’
make[2]: ** [arch/x86/kernel/asm-offsets.s] Erro 1
make[1]: ** [prepare0] Erro 2


"Ftrace" does not work here. How disabling it in the kernel?
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Thu Sep 18, 2008 12:20 am    Post subject: Reply with quote

Quote:
Guys, I added the zen-overlay because I wanted zen-sources. Now that you lot have been adding piles and piles of unrelated packages, this overlay has become cluttered and far less usable. Today, I updated the overlay and portage wants to switch my qt-3.3.8b from the portage tree to zen. I do not want such behavior. There is currently no way to get portage to stick to the non-overlay version without removing the overlay.


It's not cuttered at all. It is quite organized and very usable, frequently tested, documented, etc.

Portage doesn't handle overlays, so no it DOES NOT want to change your qt-3.3.8 to the one in zen-overlay. It wants to do the new use flag in the qt-3.3.8b ebuild (qt-copy). this is no problem for paludis users because it handles overlays, echo "=x11-libs/qt-3.3.8b::zen-overlay" >> /etc/paludis/package_mask.conf . This is not possible in portage so i understand your stand point on that concern, but i do not understand why you use portage ;)

Quote:
Zen was meant to be a repository for the latest and greatest kernel patches, not the random patches that its maintainers decided to throw in for half the tree. Please remove the qt ebuilds. Those people who want qt-copy and the like can either make their own local overlay or use one of the other overlays that provide such builds. Please keep zen for kernel-related stuff.


Zen was meant for whatever the maintainers want it to be meant for. The users do not dicate the decisions we make and they never will.

So, the answer to remove qt-copy and other non-related kernel ebuilds is n-o.

You will probably be happy to know i just added qt-copy 4.4.1 (with the new split-up ebuilds) to zen-overlay :D

You will be even happier to know that we will be making a second overlay to put non-kernel related ebuilds, etc in. However, until we finalize this your options are to (1) Deal with it, or (2) layman -d zen-overlay (portage)
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Thu Sep 18, 2008 12:21 am    Post subject: Reply with quote

Dante Murdock wrote:
I have a problem with kernel 2.6.26-zenrt3.

Code:
CHK     include/linux/version.h
  UPD     include/linux/version.h
  CHK     include/linux/utsrelease.h
  UPD     include/linux/utsrelease.h
  SYMLINK include/asm -> include/asm-x86
  CC      kernel/bounds.s
  GEN     include/linux/bounds.h
  CC      arch/x86/kernel/asm-offsets.s
In file included from include/linux/notifier.h:14,
                 from include/linux/memory_hotplug.h:6,
                 from include/linux/mmzone.h:560,
                 from include/linux/gfp.h:4,
                 from include/linux/slab.h:12,
                 from include/linux/percpu.h:5,
                 from include/linux/rcupdate.h:39,
                 from include/linux/tracepoint.h:18,
                 from include/linux/module.h:19,
                 from include/linux/crypto.h:21,
                 from arch/x86/kernel/asm-offsets_32.c:7,
                 from arch/x86/kernel/asm-offsets.c:2:
include/linux/rwsem.h:150: erro: redefinition of ‘rwsem_is_locked’
include/asm/rwsem.h:261: erro: previous definition of ‘rwsem_is_locked’ was here
include/linux/rwsem.h: Na função ‘rwsem_is_locked’:
include/linux/rwsem.h:151: erro: implicit declaration of function ‘compat_rwsem_is_locked’
make[2]: ** [arch/x86/kernel/asm-offsets.s] Erro 1
make[1]: ** [prepare0] Erro 2


"Ftrace" does not work here. How disabling it in the kernel?


You're better off using -zenrt4, which can be found in git (it is tagged)

***
EDIT:
Anyone interested in qt-copy 4.4.1 and using the zen overlay must issue the following commands:
Quote:
paludis -i qt qt-assistant qt-core qt-dbus qt-gui qt-opengl qt-phonon qt-qt3support qt-script qt-sql qt-svg qt-test qt-webkit qt-xmlpatterns

(my command, idc if you use portage)
The above command will get you all the qt split ebuilds that inherit the qt4-qt-core eclass. Not all of these are patched by qt-copy, they just all inherit the eclass (neatest/preferred way to do it)

just installing the qt meta package will not get you qt you need all the split out counter parts. or just qt-core qt-dbus qt-sql qt-gui qt-qt3support which are affected by qt-copy patches.

for 3.3.8, just do =x11-libs/qt-3.3.8b

Separate overlay is coming
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
termite
Guru
Guru


Joined: 06 May 2007
Posts: 466

PostPosted: Thu Sep 18, 2008 3:46 pm    Post subject: Reply with quote

fine, but emerging qt doesn't work:
Quote:
>>> Unpacking source...
tar xjpf /var/tmp/portage/x11-libs/qt-core-4.4.1-r1/distdir/qt-x11-opensource-src-4.4.1.tar.bz2 qt-x11-opensource-src-4.4.1/configure qt-x11-opensource-src-4.4.1/LICENSE.GPL2 qt-x11-opensource-src-4.4.1/LICENSE.GPL3 qt-x11-opensource-src-4.4.1/projects.pro qt-x11-opensource-src-4.4.1/src/qbase.pri qt-x11-opensource-src-4.4.1/src/qt_targets.pri qt-x11-opensource-src-4.4.1/src/qt_install.pri qt-x11-opensource-src-4.4.1/bin qt-x11-opensource-src-4.4.1/config.tests qt-x11-opensource-src-4.4.1/mkspecs qt-x11-opensource-src-4.4.1/qmake qt-x11-opensource-src-4.4.1/src/tools/moc/ qt-x11-opensource-src-4.4.1/src/tools/rcc/ qt-x11-opensource-src-4.4.1/src/tools/uic/ qt-x11-opensource-src-4.4.1/src/corelib/ qt-x11-opensource-src-4.4.1/src/xml/ qt-x11-opensource-src-4.4.1/src/network/ qt-x11-opensource-src-4.4.1/src/plugins/codecs/ qt-x11-opensource-src-4.4.1/include/Qt/ qt-x11-opensource-src-4.4.1/include/QtCore/ qt-x11-opensource-src-4.4.1/include/QtNetwork/ qt-x11-opensource-src-4.4.1/include/QtScript/ qt-x11-opensource-src-4.4.1/include/QtXml/ qt-x11-opensource-src-4.4.1/src/plugins/plugins.pro qt-x11-opensource-src-4.4.1/src/plugins/qpluginbase.pri qt-x11-opensource-src-4.4.1/src/src.pro qt-x11-opensource-src-4.4.1/src/3rdparty/des/ qt-x11-opensource-src-4.4.1/src/3rdparty/harfbuzz/ qt-x11-opensource-src-4.4.1/src/3rdparty/md4/ qt-x11-opensource-src-4.4.1/src/3rdparty/md5/ qt-x11-opensource-src-4.4.1/src/3rdparty/sha1/ qt-x11-opensource-src-4.4.1/src/script/ qt-x11-opensource-src-4.4.1/translations/
tar xjpf /var/tmp/portage/x11-libs/qt-core-4.4.1-r1/distdir/qt-x11-opensource-src-4.4.1-headers.tar.bz2
lzma -dc /var/tmp/portage/x11-libs/qt-core-4.4.1-r1/distdir/qt-copy-4.4.1-patches-1.0.tar.lzma | tar xf - --no-same-owner patches/0167-fix-group-reading.diff patches/0216-allow-isystem-for-headers.diff patches/0231-mac-plugins.diff patches/0118-qtcopy-define.diff patches/0209-prevent-qt-mixing.diff
lzma: /var/tmp/portage/x11-libs/qt-core-4.4.1-r1/distdir/qt-copy-4.4.1-patches-1.0.tar.lzma: doesn't exist or is not a regular file
tar: This does not look like a tar archive
tar: patches/0167-fix-group-reading.diff: Not found in archive
tar: patches/0216-allow-isystem-for-headers.diff: Not found in archive
tar: patches/0231-mac-plugins.diff: Not found in archive
tar: patches/0118-qtcopy-define.diff: Not found in archive
tar: patches/0209-prevent-qt-mixing.diff: Not found in archive
tar: Error exit delayed from previous errors

* Cannot find $EPATCH_SOURCE! Value for $EPATCH_SOURCE is:
*
* /var/tmp/portage/x11-libs/qt-core-4.4.1-r1/work/qt-x11-opensource-src-4.4.1/patches
* ( patches )

*
* ERROR: x11-libs/qt-core-4.4.1-r1 failed.
* Call stack:
* ebuild.sh, line 49: Called src_unpack
* environment, line 2912: Called qt4-build_src_unpack
* environment, line 2580: Called qt4_unpack
* environment, line 2672: Called qt4_qt-copy
* environment, line 2654: Called epatch '/var/tmp/portage/x11-libs/qt-core-4.4.1-r1/work/qt-x11-opensource-src-4.4.1/patches'
* environment, line 1218: Called die
* The specific snippet of code:
* die "Cannot find \$EPATCH_SOURCE!";
* The die message:
* Cannot find $EPATCH_SOURCE!
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/x11-libs/qt-core-4.4.1-r1/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/x11-libs/qt-core-4.4.1-r1/temp/environment'.
*
Back to top
View user's profile Send private message
buubuu
n00b
n00b


Joined: 25 Apr 2007
Posts: 6

PostPosted: Thu Sep 18, 2008 6:35 pm    Post subject: Reply with quote

dumb question:
is v2.6.27-rc5-mm1 and v2.6.27-rc6-zen2 available?
and if true how do i get them?
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Thu Sep 18, 2008 7:14 pm    Post subject: Reply with quote

termite wrote:
fine, but emerging qt doesn't work:
Quote:
>>> Unpacking source...
tar xjpf /var/tmp/portage/x11-libs/qt-core-4.4.1-r1/distdir/qt-x11-opensource-src-4.4.1.tar.bz2 qt-x11-opensource-src-4.4.1/configure qt-x11-opensource-src-4.4.1/LICENSE.GPL2 qt-x11-opensource-src-4.4.1/LICENSE.GPL3 qt-x11-opensource-src-4.4.1/projects.pro qt-x11-opensource-src-4.4.1/src/qbase.pri qt-x11-opensource-src-4.4.1/src/qt_targets.pri qt-x11-opensource-src-4.4.1/src/qt_install.pri qt-x11-opensource-src-4.4.1/bin qt-x11-opensource-src-4.4.1/config.tests qt-x11-opensource-src-4.4.1/mkspecs qt-x11-opensource-src-4.4.1/qmake qt-x11-opensource-src-4.4.1/src/tools/moc/ qt-x11-opensource-src-4.4.1/src/tools/rcc/ qt-x11-opensource-src-4.4.1/src/tools/uic/ qt-x11-opensource-src-4.4.1/src/corelib/ qt-x11-opensource-src-4.4.1/src/xml/ qt-x11-opensource-src-4.4.1/src/network/ qt-x11-opensource-src-4.4.1/src/plugins/codecs/ qt-x11-opensource-src-4.4.1/include/Qt/ qt-x11-opensource-src-4.4.1/include/QtCore/ qt-x11-opensource-src-4.4.1/include/QtNetwork/ qt-x11-opensource-src-4.4.1/include/QtScript/ qt-x11-opensource-src-4.4.1/include/QtXml/ qt-x11-opensource-src-4.4.1/src/plugins/plugins.pro qt-x11-opensource-src-4.4.1/src/plugins/qpluginbase.pri qt-x11-opensource-src-4.4.1/src/src.pro qt-x11-opensource-src-4.4.1/src/3rdparty/des/ qt-x11-opensource-src-4.4.1/src/3rdparty/harfbuzz/ qt-x11-opensource-src-4.4.1/src/3rdparty/md4/ qt-x11-opensource-src-4.4.1/src/3rdparty/md5/ qt-x11-opensource-src-4.4.1/src/3rdparty/sha1/ qt-x11-opensource-src-4.4.1/src/script/ qt-x11-opensource-src-4.4.1/translations/
tar xjpf /var/tmp/portage/x11-libs/qt-core-4.4.1-r1/distdir/qt-x11-opensource-src-4.4.1-headers.tar.bz2
lzma -dc /var/tmp/portage/x11-libs/qt-core-4.4.1-r1/distdir/qt-copy-4.4.1-patches-1.0.tar.lzma | tar xf - --no-same-owner patches/0167-fix-group-reading.diff patches/0216-allow-isystem-for-headers.diff patches/0231-mac-plugins.diff patches/0118-qtcopy-define.diff patches/0209-prevent-qt-mixing.diff
lzma: /var/tmp/portage/x11-libs/qt-core-4.4.1-r1/distdir/qt-copy-4.4.1-patches-1.0.tar.lzma: doesn't exist or is not a regular file
tar: This does not look like a tar archive
tar: patches/0167-fix-group-reading.diff: Not found in archive
tar: patches/0216-allow-isystem-for-headers.diff: Not found in archive
tar: patches/0231-mac-plugins.diff: Not found in archive
tar: patches/0118-qtcopy-define.diff: Not found in archive
tar: patches/0209-prevent-qt-mixing.diff: Not found in archive
tar: Error exit delayed from previous errors

* Cannot find $EPATCH_SOURCE! Value for $EPATCH_SOURCE is:
*
* /var/tmp/portage/x11-libs/qt-core-4.4.1-r1/work/qt-x11-opensource-src-4.4.1/patches
* ( patches )

*
* ERROR: x11-libs/qt-core-4.4.1-r1 failed.
* Call stack:
* ebuild.sh, line 49: Called src_unpack
* environment, line 2912: Called qt4-build_src_unpack
* environment, line 2580: Called qt4_unpack
* environment, line 2672: Called qt4_qt-copy
* environment, line 2654: Called epatch '/var/tmp/portage/x11-libs/qt-core-4.4.1-r1/work/qt-x11-opensource-src-4.4.1/patches'
* environment, line 1218: Called die
* The specific snippet of code:
* die "Cannot find \$EPATCH_SOURCE!";
* The die message:
* Cannot find $EPATCH_SOURCE!
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/x11-libs/qt-core-4.4.1-r1/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/x11-libs/qt-core-4.4.1-r1/temp/environment'.
*


Minor error in the eclass ;)
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
massimo
Veteran
Veteran


Joined: 22 Jun 2003
Posts: 1226

PostPosted: Fri Sep 19, 2008 11:57 am    Post subject: Reply with quote

Hi, any chance of gettig ZFS into zen-sources? I know there's zfs-fuse...
_________________
Hello 911? How are you?
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Fri Sep 19, 2008 3:49 pm    Post subject: Reply with quote

massimo wrote:
Hi, any chance of gettig ZFS into zen-sources? I know there's zfs-fuse...

How should that work if it's never been ported? I use zfs-fuse, and it works fine.
If you need in-kernel full performance ZFS, you'll have to go BSD/(Open/GNU)Solaris.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
manwe_
l33t
l33t


Joined: 01 Feb 2006
Posts: 621
Location: Kraków/Cracow, Poland

PostPosted: Fri Sep 19, 2008 6:27 pm    Post subject: Reply with quote

Asus acpi doesn't work in 2.6.26-r21.
Code:
$ grep ASUS .config
CONFIG_ACPI_ASUS=y

No info in dmesg, no trace of LED control, or anything else in /proc or /sys. Just like it doesn't exists. Used to work flawless in 2.6.24-rX.
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Fri Sep 19, 2008 7:44 pm    Post subject: Reply with quote

massimo wrote:
Hi, any chance of gettig ZFS into zen-sources? I know there's zfs-fuse...


The ZFS license is not compatible with the GPL.

zfs-fuse would not be close to full performance zfs and i dont think it's kept nearly as up to date as zfs
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
massimo
Veteran
Veteran


Joined: 22 Jun 2003
Posts: 1226

PostPosted: Fri Sep 19, 2008 9:43 pm    Post subject: Reply with quote

cheater1034 wrote:
massimo wrote:
Hi, any chance of gettig ZFS into zen-sources? I know there's zfs-fuse...

The ZFS license is not compatible with the GPL.
zfs-fuse would not be close to full performance zfs and i dont think it's kept nearly as up to date as zfs

Ok, thanks anyway.
_________________
Hello 911? How are you?
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Sat Sep 20, 2008 3:37 am    Post subject: Reply with quote

massimo wrote:
cheater1034 wrote:
massimo wrote:
Hi, any chance of gettig ZFS into zen-sources? I know there's zfs-fuse...

The ZFS license is not compatible with the GPL.
zfs-fuse would not be close to full performance zfs and i dont think it's kept nearly as up to date as zfs

Ok, thanks anyway.


Yeah everybody wants a piece of ZFS, but i don't want a piece of solaris or bsd to get it :) I don't think it's nearly as supported on bsd as it is on solaris.

Anyway, i think the linux alternative will become btrfs, which when completed will have every conceivable feature a user could want and performance should be better than any current linux filesystems. BTRFS won't compare itself to ZFS because it's not the competition, but compared to other filesystems btrfs is definitely the one to watch. :D
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Sat Sep 20, 2008 5:40 am    Post subject: Reply with quote

cheater1034 wrote:
Anyway, i think the linux alternative will become btrfs, which when completed will have every conceivable feature a user could want and performance should be better than any current linux filesystems. BTRFS won't compare itself to ZFS because it's not the competition, but compared to other filesystems btrfs is definitely the one to watch. :D

Or Tux3
Quote:
... and a tertiary goal is to be better than ZFS.
:)


And a good read on zfs-fuse performance: http://www.linux.com/feature/138452
The code base is kept in sync with OpenSolaris btw.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
prestige
Tux's lil' helper
Tux's lil' helper


Joined: 24 Sep 2005
Posts: 95

PostPosted: Sat Sep 20, 2008 7:37 pm    Post subject: Reply with quote

I am experiencing an ALSA problem with 2.6.27-rc6-zen2:

Code:

Restoring Mixer Levels...
BUG: Unable to handle kernel NULL pointer dereference at 00000000000000000000 (not sure how many zeros was here)
IP: [<ffffffffa006cb11>] snd_hda_spdf_out_switch_put+0xd1/0x170 [snd_hda_intel]
...
(I lot of debug messages here I am unable to rewrite it to paper)
...


Is this a known issue?
_________________
zen-sources - whole new world discovered
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Mon Sep 22, 2008 10:47 am    Post subject: Reply with quote

Quote:
v2.6,27-rc7-zen0
following branches excluded for reasons stated
usb-ip :: I believe it's broken and has been (lack of support now?)
toshiba_acpi :: Fails to compile?
strip-debug :: Dumb Branch, should be deleted on remote
genetics :: Still being worked on/currently broken
eeepc :: FIXME!! branch in origin is fucked up, and includes EEE + smapi
+ atl2, cant merge i ONLY want eee out of this branch. All sites i can
find for a new eee patch are down.


besides that reiser4 is included in the tree, correct?

(I've looked at the whole tree from git & it seems included, will try out later)

thanks, cheater :)

edit:

should work,

will compile it now, ...
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Wed Sep 24, 2008 3:16 am    Post subject: Reply with quote

kernelOfTruth wrote:
Quote:
v2.6,27-rc7-zen0
following branches excluded for reasons stated
usb-ip :: I believe it's broken and has been (lack of support now?)
toshiba_acpi :: Fails to compile?
strip-debug :: Dumb Branch, should be deleted on remote
genetics :: Still being worked on/currently broken
eeepc :: FIXME!! branch in origin is fucked up, and includes EEE + smapi
+ atl2, cant merge i ONLY want eee out of this branch. All sites i can
find for a new eee patch are down.


besides that reiser4 is included in the tree, correct?

(I've looked at the whole tree from git & it seems included, will try out later)

thanks, cheater :)

edit:

should work,

will compile it now, ...


Now madwifi has been well updated and fixed up aith ath5k/ath9k and eeepc is good now.

Those were the only things needed on the to-do.

i also dropped sound-2.6 in favor of the official alsa-kernel.git, dropped l7filter (some portions will need changes to work), and i tagged zen1 and zen2, and on the git side i just keep pulling from linus's tree

:)
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
ponciarello
Apprentice
Apprentice


Joined: 22 Jul 2008
Posts: 223
Location: beach of slack

PostPosted: Wed Sep 24, 2008 7:43 am    Post subject: Reply with quote

tried latest pull

Code:
# make
  CHK     include/linux/version.h
  CHK     include/linux/utsrelease.h
  HOSTCC  scripts/basic/fixdep
  HOSTCC  scripts/basic/docproc
  CC      kernel/bounds.s
  GEN     include/linux/bounds.h
  CC      arch/x86/kernel/asm-offsets.s
  GEN     include/asm/asm-offsets.h
  CALL    scripts/checksyscalls.sh
  CC      scripts/mod/empty.o
  HOSTCC  scripts/mod/mk_elfconfig
  MKELF   scripts/mod/elfconfig.h
  HOSTCC  scripts/mod/file2alias.o
  HOSTCC  scripts/mod/modpost.o
  HOSTCC  scripts/mod/sumversion.o
  HOSTLD  scripts/mod/modpost
  HOSTCC  scripts/kallsyms
  HOSTCC  scripts/conmakehash
  HOSTCC  scripts/bin2c
  CC      init/main.o
  CHK     include/linux/compile.h
  UPD     include/linux/compile.h
  CC      init/version.o
  CC      init/do_mounts.o
  CC      init/do_mounts_rd.o
  LD      init/mounts.o
  CC      init/noinitramfs.o
  CC      init/calibrate.o
  LD      init/built-in.o
  LD      usr/built-in.o
  CC      arch/x86/kernel/process_32.o
arch/x86/kernel/process_32.c: In function 'cpu_exit_clear':
arch/x86/kernel/process_32.c:91: error: implicit declaration of function 'c1e_remove_cpu'
make[1]: *** [arch/x86/kernel/process_32.o] Error 1
make: *** [arch/x86/kernel] Error 2


Code:
# grep -r c1e_remove_cpu *
arch/x86/kernel/process_64.c:   c1e_remove_cpu(raw_smp_processor_id());
arch/x86/kernel/process_32.c:   c1e_remove_cpu(cpu);
arch/x86/kernel/process.c:void c1e_remove_cpu(int cpu)
include/asm/idle.h:void c1e_remove_cpu(int cpu);
include/asm-x86/idle.h:void c1e_remove_cpu(int cpu);


running stock v2.6.27-rc7-zen2 flawlessly, btw

------------------------------------------
EDIT: sorry, I'm an idiot, read this now
Quote:
Try upstream FIRST. If its broken there too, dont tell me about it!

so this is git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git
Code:
# make
scripts/kconfig/conf -s arch/x86/Kconfig
#
# configuration written to .config
#
  CHK     include/linux/version.h
  UPD     include/linux/version.h
  CHK     include/linux/utsrelease.h
  UPD     include/linux/utsrelease.h
  SYMLINK include/asm -> include/asm-x86
  HOSTCC  scripts/basic/docproc
  CC      kernel/bounds.s
  GEN     include/linux/bounds.h
  CC      arch/x86/kernel/asm-offsets.s
  GEN     include/asm/asm-offsets.h
  CALL    scripts/checksyscalls.sh
  CC      scripts/mod/empty.o
  HOSTCC  scripts/mod/mk_elfconfig
  MKELF   scripts/mod/elfconfig.h
  HOSTCC  scripts/mod/file2alias.o
  HOSTCC  scripts/mod/modpost.o
  HOSTCC  scripts/mod/sumversion.o
  HOSTLD  scripts/mod/modpost
  HOSTCC  scripts/kallsyms
  HOSTCC  scripts/conmakehash
  HOSTCC  scripts/bin2c
  CC      init/main.o
  CHK     include/linux/compile.h
  UPD     include/linux/compile.h
  CC      init/version.o
  CC      init/do_mounts.o
  CC      init/do_mounts_rd.o
  LD      init/mounts.o
  CC      init/noinitramfs.o
  CC      init/calibrate.o
  LD      init/built-in.o
  LD      usr/built-in.o
  CC      arch/x86/kernel/process_32.o
arch/x86/kernel/process_32.c: In function 'cpu_exit_clear':
arch/x86/kernel/process_32.c:91: error: implicit declaration of function 'c1e_remove_cpu'
make[1]: *** [arch/x86/kernel/process_32.o] Error 1
make: *** [arch/x86/kernel] Error 2


---------------------------
RE-EDIT: kernel people noted it also and released a patch.
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Wed Sep 24, 2008 7:03 pm    Post subject: Reply with quote

ponciarello wrote:
tried latest pull

Code:
# make
  CHK     include/linux/version.h
  CHK     include/linux/utsrelease.h
  HOSTCC  scripts/basic/fixdep
  HOSTCC  scripts/basic/docproc
  CC      kernel/bounds.s
  GEN     include/linux/bounds.h
  CC      arch/x86/kernel/asm-offsets.s
  GEN     include/asm/asm-offsets.h
  CALL    scripts/checksyscalls.sh
  CC      scripts/mod/empty.o
  HOSTCC  scripts/mod/mk_elfconfig
  MKELF   scripts/mod/elfconfig.h
  HOSTCC  scripts/mod/file2alias.o
  HOSTCC  scripts/mod/modpost.o
  HOSTCC  scripts/mod/sumversion.o
  HOSTLD  scripts/mod/modpost
  HOSTCC  scripts/kallsyms
  HOSTCC  scripts/conmakehash
  HOSTCC  scripts/bin2c
  CC      init/main.o
  CHK     include/linux/compile.h
  UPD     include/linux/compile.h
  CC      init/version.o
  CC      init/do_mounts.o
  CC      init/do_mounts_rd.o
  LD      init/mounts.o
  CC      init/noinitramfs.o
  CC      init/calibrate.o
  LD      init/built-in.o
  LD      usr/built-in.o
  CC      arch/x86/kernel/process_32.o
arch/x86/kernel/process_32.c: In function 'cpu_exit_clear':
arch/x86/kernel/process_32.c:91: error: implicit declaration of function 'c1e_remove_cpu'
make[1]: *** [arch/x86/kernel/process_32.o] Error 1
make: *** [arch/x86/kernel] Error 2


Code:
# grep -r c1e_remove_cpu *
arch/x86/kernel/process_64.c:   c1e_remove_cpu(raw_smp_processor_id());
arch/x86/kernel/process_32.c:   c1e_remove_cpu(cpu);
arch/x86/kernel/process.c:void c1e_remove_cpu(int cpu)
include/asm/idle.h:void c1e_remove_cpu(int cpu);
include/asm-x86/idle.h:void c1e_remove_cpu(int cpu);


running stock v2.6.27-rc7-zen2 flawlessly, btw

------------------------------------------
EDIT: sorry, I'm an idiot, read this now
Quote:
Try upstream FIRST. If its broken there too, dont tell me about it!

so this is git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git
Code:
# make
scripts/kconfig/conf -s arch/x86/Kconfig
#
# configuration written to .config
#
  CHK     include/linux/version.h
  UPD     include/linux/version.h
  CHK     include/linux/utsrelease.h
  UPD     include/linux/utsrelease.h
  SYMLINK include/asm -> include/asm-x86
  HOSTCC  scripts/basic/docproc
  CC      kernel/bounds.s
  GEN     include/linux/bounds.h
  CC      arch/x86/kernel/asm-offsets.s
  GEN     include/asm/asm-offsets.h
  CALL    scripts/checksyscalls.sh
  CC      scripts/mod/empty.o
  HOSTCC  scripts/mod/mk_elfconfig
  MKELF   scripts/mod/elfconfig.h
  HOSTCC  scripts/mod/file2alias.o
  HOSTCC  scripts/mod/modpost.o
  HOSTCC  scripts/mod/sumversion.o
  HOSTLD  scripts/mod/modpost
  HOSTCC  scripts/kallsyms
  HOSTCC  scripts/conmakehash
  HOSTCC  scripts/bin2c
  CC      init/main.o
  CHK     include/linux/compile.h
  UPD     include/linux/compile.h
  CC      init/version.o
  CC      init/do_mounts.o
  CC      init/do_mounts_rd.o
  LD      init/mounts.o
  CC      init/noinitramfs.o
  CC      init/calibrate.o
  LD      init/built-in.o
  LD      usr/built-in.o
  CC      arch/x86/kernel/process_32.o
arch/x86/kernel/process_32.c: In function 'cpu_exit_clear':
arch/x86/kernel/process_32.c:91: error: implicit declaration of function 'c1e_remove_cpu'
make[1]: *** [arch/x86/kernel/process_32.o] Error 1
make: *** [arch/x86/kernel] Error 2


---------------------------
RE-EDIT: kernel people noted it also and released a patch.


This should be committed into linus's git tree at any moment, i will pull from it then, but until the next git updates i've included that patch into the git repo ;)
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 7, 8, 9 ... 21, 22, 23  Next
Page 8 of 23

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum